AbstractScalaCompile (Gradle API 3.5)
Date: 2017-04-10

org.gradle.language.scala.tasks

## Class AbstractScalaCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.tasks.compile.AbstractCompile
          - - org.gradle.language.scala.tasks.AbstractScalaCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    PlatformScalaCompile, ScalaCompile

      @Incubating
      public abstract class AbstractScalaCompile
      extends AbstractCompile

  An abstract Scala compile task sharing common functionality for compiling scala.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Logger` | `LOGGER`

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractScalaCompile(BaseScalaCompileOptions scalaCompileOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `compile()`
    `protected void` | `configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)`
    `protected Map<File,File>` | `createOrGetGlobalAnalysisMap()`
    `protected org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec` | `createSpec()`
    `protected HashMap<File,File>` | `filterForClasspath(Map<File,File> analysisMap, Iterable<File> classpath)`
    `protected abstract org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec>` | `getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)`
    `CompileOptions` | `getOptions()` Returns the Java compilation options.
    `BaseScalaCompileOptions` | `getScalaCompileOptions()` Returns the Scala compilation options.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractCompile

      `getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          protected static final Logger LOGGER

  - ### Constructor Detail

    - #### AbstractScalaCompile

          protected AbstractScalaCompile(BaseScalaCompileOptions scalaCompileOptions)

  - ### Method Detail

    - #### getScalaCompileOptions

          public BaseScalaCompileOptions getScalaCompileOptions()

      Returns the Scala compilation options.

    - #### getOptions

          public CompileOptions getOptions()

      Returns the Java compilation options.

    - #### getCompiler

          protected abstract org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)

    - #### compile

          protected void compile()

      Specified by:
        `compile` in class `AbstractCompile`

    - #### createSpec

          protected org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec createSpec()

    - #### configureIncrementalCompilation

          protected void configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)

    - #### createOrGetGlobalAnalysisMap

          protected Map<File,File> createOrGetGlobalAnalysisMap()

    - #### filterForClasspath

          protected HashMap<File,File> filterForClasspath(Map<File,File> analysisMap,
                                              Iterable<File> classpath)